org.eclipse.net4j.util.om.log

## Class Logger

- java.lang.Object
- - org.eclipse.net4j.util.om.log.Logger

- All Implemented Interfaces:
    OMLogger

      public class Logger
      extends java.lang.Object
      implements OMLogger

  The default `logger` implementation.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.om.log.OMLogger

      `OMLogger.Level`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logger(OMBundle bundle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String msg)`
    `void` | `debug(java.lang.String msg, java.lang.Throwable t)`
    `void` | `debug(java.lang.Throwable t)`
    `void` | `error(java.lang.String msg)`
    `void` | `error(java.lang.String msg, java.lang.Throwable t)`
    `void` | `error(java.lang.Throwable t)`
    `OMBundle` | `getBundle()`
    `void` | `info(java.lang.String msg)`
    `void` | `info(java.lang.String msg, java.lang.Throwable t)`
    `void` | `info(java.lang.Throwable t)`
    `void` | `log(OMLogger.Level level, java.lang.String msg)`
    `void` | `log(OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)`
    `void` | `log(OMLogger.Level level, java.lang.Throwable t)`
    `void` | `warn(java.lang.String msg)`
    `void` | `warn(java.lang.String msg, java.lang.Throwable t)`
    `void` | `warn(java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          public Logger(OMBundle bundle)

  - ### Method Detail

    - #### getBundle

          public OMBundle getBundle()

      Specified by:
        `getBundle` in interface `OMLogger`

    - #### log

          public void log(OMLogger.Level level,
                          java.lang.String msg,
                          java.lang.Throwable t)

      Specified by:
        `log` in interface `OMLogger`

    - #### error

          public void error(java.lang.String msg,
                            java.lang.Throwable t)

      Specified by:
        `error` in interface `OMLogger`

    - #### warn

          public void warn(java.lang.String msg,
                           java.lang.Throwable t)

      Specified by:
        `warn` in interface `OMLogger`

    - #### info

          public void info(java.lang.String msg,
                           java.lang.Throwable t)

      Specified by:
        `info` in interface `OMLogger`

    - #### debug

          public void debug(java.lang.String msg,
                            java.lang.Throwable t)

      Specified by:
        `debug` in interface `OMLogger`

    - #### log

          public void log(OMLogger.Level level,
                          java.lang.String msg)

      Specified by:
        `log` in interface `OMLogger`

    - #### error

          public void error(java.lang.String msg)

      Specified by:
        `error` in interface `OMLogger`

    - #### warn

          public void warn(java.lang.String msg)

      Specified by:
        `warn` in interface `OMLogger`

    - #### info

          public void info(java.lang.String msg)

      Specified by:
        `info` in interface `OMLogger`

    - #### debug

          public void debug(java.lang.String msg)

      Specified by:
        `debug` in interface `OMLogger`

    - #### log

          public void log(OMLogger.Level level,
                          java.lang.Throwable t)

      Specified by:
        `log` in interface `OMLogger`

    - #### error

          public void error(java.lang.Throwable t)

      Specified by:
        `error` in interface `OMLogger`

    - #### warn

          public void warn(java.lang.Throwable t)

      Specified by:
        `warn` in interface `OMLogger`

    - #### info

          public void info(java.lang.Throwable t)

      Specified by:
        `info` in interface `OMLogger`

    - #### debug

          public void debug(java.lang.Throwable t)

      Specified by:
        `debug` in interface `OMLogger`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html